通知处理程序

GET https://uptime.tedx.net/api/notification-handlers/
curl --request GET \
--url 'https://uptime.tedx.net/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
参数 详情 描述
search 选修的 钢丝绳 搜索字符串。
search_by 选修的 钢丝绳 您在哪个领域搜索。允许的值为:name
is_enabled 选修的 布尔值
type 选修的 钢丝绳 您在哪个领域搜索。允许的值为:email, webhook, slack, discord, telegram, microsoft_teams
datetime_field 选修的 钢丝绳 允许的值:datetime, last_datetime
datetime_start 选修的 钢丝绳 过滤从此日期时间开始的结果。Y-m-d H:i:s格式。
datetime_end 选修的 钢丝绳 筛选截至该日期时间的结果。Y-m-d H:i:s格式。
order_by 选修的 钢丝绳 结果的排序依据字段。允许的值为:notification_handler_id, datetime, last_datetime, name
order_type 选修的 钢丝绳 结果的排序。允许的值为:ASC(升序)和DESC(降序)。
page 选修的 整数 您想要结果的页码。默认为1
results_per_page 选修的 整数 您希望每页有多少个结果。允许的值为:10, 25, 50, 100, 250, 500, 1000。默认为25
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "hey@example.com"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-09-17 01:15:08",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://uptime.tedx.net/api/notification-handlers?page=1",
        "last": "https://uptime.tedx.net/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptime.tedx.net/api/notification-handlers?page=1"
    }
}
GET https://uptime.tedx.net/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://uptime.tedx.net/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "hey@example.com"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-09-17 01:15:08",
    }
}
POST https://uptime.tedx.net/api/notification-handlers
参数 详情 描述
name 必需项 钢丝绳 -
type 必需项 钢丝绳 允许的值:email, webhook, slack, discord, telegram, microsoft_teams
email 选修的 钢丝绳 可用时间:type = email 电子邮件
webhook 选修的 钢丝绳 可用时间:type = webhook 网络钩子地址
slack 选修的 钢丝绳 可用时间:type = slack Slack Webhook URL
discord 选修的 钢丝绳 可用时间:type = discord Discord Webhook URL
telegram 选修的 钢丝绳 可用时间:type = telegram Telegram API 令牌
telegram_chat_id 选修的 钢丝绳 可用时间:type = telegram 电报聊天 ID
microsoft_teams 选修的 钢丝绳 可用时间:type = microsoft_teams Microsoft Teams Webhook URL
curl --request POST \
--url 'https://uptime.tedx.net/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
    "data": {
        "id": 1
    }
}
POST https://uptime.tedx.net/api/notification-handlers/{notification_handler_id}
参数 详情 描述
name 选修的 钢丝绳 -
type 选修的 钢丝绳 允许的值:email, webhook, slack, discord, telegram, microsoft_teams
email 选修的 钢丝绳 可用时间:type = email 电子邮件
webhook 选修的 钢丝绳 可用时间:type = webhook 网络钩子地址
slack 选修的 钢丝绳 可用时间:type = slack Slack Webhook URL
discord 选修的 钢丝绳 可用时间:type = discord Discord Webhook URL
telegram 选修的 钢丝绳 可用时间:type = telegram Telegram API 令牌
telegram_chat_id 选修的 钢丝绳 可用时间:type = telegram 电报聊天 ID
microsoft_teams 选修的 钢丝绳 可用时间:type = microsoft_teams Microsoft Teams Webhook URL
is_enabled 选修的 布尔值 -
curl --request POST \
--url 'https://uptime.tedx.net/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://uptime.tedx.net/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://uptime.tedx.net/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \